using System;
using X;

class SingletonDemo
{
    static void Main()
    {
        Singleton obj1 = Singleton.CreateInstance();
        obj1.iStorage = 35;

        Singleton obj2 = Singleton.CreateInstance();
        obj2.iStorage = 55;

        Console.WriteLine(obj1.iStorage);
        Console.WriteLine(obj2.iStorage);
    }
}
